<?php

declare(strict_types=1);

namespace Dedi\SyliusMarketingPlugin\Item;

interface ItemInterface
{
    public function getCurrency(): string;
    public function getValue(): float;
    public function getPrice(): ?float;
    public function getQuantity(): int;
    public function setAffiliation(?string $affiliation): self;
    public function setCoupon(?string $coupon): self;
    public function setDiscount(?float $discount): self;
    public function setIndex(?int $index): self;
    public function setItemBrand(?string $item_brand): self;
    public function setItemListId(?string $item_list_id): self;
    public function setItemListName(?string $item_list_name): self;
    public function setItemVariant(?string $item_variant): self;
    public function setLocationId(?string $location_id): self;
    public function setPrice(?float $price): self;
    public function setQuantity(int $quantity): self;
}
